%define name	xephem
%define Name	XEphem
%define version	3.7.1
%define distsuffix plf
%define release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	An X Window System/Motif based interactive astronomy program.
License:	distributable
Group:		Sciences/Astronomy
Source:		%{name}-%{version}.tar.bz2
Url:		http://www.clearskyinstitute.com/xephem/xephem.html
Source1:	%{name}.wmconfig.bz2
Source2:	%{Name}.bz2
Source3:	%{name}-16.png
Source4:	%{name}-32.png
Source5:	%{name}-48.png
BuildRequires:	XFree86-devel
BuildRequires:	lesstif-devel >= 0.93
%ifarch %ix86
BuildRequires:  libindi-devel
%endif
BuildRequires:  libjpeg-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Xephem is an interactive astronomy program for X Windows systems.

This package is in plf because the license is too restritive.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
bzcat %{SOURCE1} > %{name}
bzcat %{SOURCE2} > %{Name}
perl -pi -e 's|^XEphem.ShareDir: .*$|XEphem.ShareDir: %{_datadir}/%{name}|' %{Name}
perl -pi -e 's|^CFLAGS= .*$|CFLAGS= \$(RPM_OPT_FLAGS)|' libastro/Makefile
perl -pi -e 's|^CFLAGS= .*$|CFLAGS= -I../libastro \$(RPM_OPT_FLAGS)|' libip/Makefile
perl -pi -e 's|^MOTIFL =.*$|MOTIFL = %{_prefix}/X11R6/%{_lib}|' GUI/xephem/Makefile

%build
(cd libastro && %make)
(cd libip && %make)
(cd libjpegd && %make)

# Replacement of indilib
%ifnarch %ix86
(cd liblilxml && %make)
%endif
(cd GUI/xephem && %make && %make -C fifos)

%install
# binary
install -d $RPM_BUILD_ROOT%{_bindir}
install -m 755 GUI/xephem/%{name} $RPM_BUILD_ROOT%{_bindir}
# man page
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 GUI/xephem/%{name}.man $RPM_BUILD_ROOT%{_mandir}/man1
# data
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a GUI/xephem/auxil $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a GUI/xephem/catalogs $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a GUI/xephem/fifos $RPM_BUILD_ROOT%{_datadir}/%{name}
# X11 prefs
install -d $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/app-defaults
install -m 644 %{Name} $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/app-defaults
# wmconfig
install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmconfig
install -m 644 %{name} $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmconfig
# icons
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
# menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
	command="%{_bindir}/%{name}"\
	title="%{Name}"\
	longtitle="Astronomy program"\
	needs="x11"\
	section="Applications/Sciences/Astronomy"\
	icon="%{name}.png"
EOF
 
%post
%{update_menus}
 
%postun
%{clean_menus} 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/X11/wmconfig/%{name}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
%{_prefix}/X11R6/lib/X11/app-defaults/%{Name}
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Tue May 09 2006 Olivier Thauvin <nanardon@zarb.org> 3.7.1-1plf
- 3.7.1

* Sun Apr 10 2005 Olivier Thauvin <nanardon@zarb.org> 3.6.1-3plf
- allow build on non %%ix86 arch

* Thu Sep 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.6.1-2plf
- plf reason
- remove not need files
- don't bzip icons
- 
* Tue Aug 31 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.6.1-1plf
- 3.6.1

* Sat May  4 2002 Stefan van der Eijk <stefan@eijk.nu> 3.5.2-2plf
- BuildRequires

* Wed Mar 13 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.5.2-1plf
- contributed to plf by Olivier Thauvin <thauvin@aerov.jussieu.fr>
- icons
- spec cleanup
- rpmlint fixes
- used standard installation prefix
- used %{datadir}/%{name} for data
- mdk optimisations

* Tue Feb 26 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.5.2-1mdk
- 3.5.2

* Fri Aug 24 2001 Etienne Faure <etienne@mandrakesoft.com> 3.4-1mdk
- 3.4

* Wed Sep 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.2.3-2mdk
- build release 
- menu

* Tue May 09 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.2.3-1mdk
- fix group
- spec helper fixes


* Tue Jan 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- bzip2 source
- handle RPM_OPT_FLAGS, and while at it, add some flags to reduce size
- strip binaries

* Fri Jan 14 2000 Ngo Than <than@redhat.de>
- updated to 3.2.3

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- updated source to 3.2.2
- built for 6.1

* Mon Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Oct 14 1998 Michael Maher <mike@redhat.com>
- built package for 5.2 powertools

* Fri May 22 1998 Cristian Gafton <gafton@redhat.com>
- updated to ver. 3.1
- reworked spec file

* Thu Dec  4 1997 Otto Hammersmith <otto@redhat.com>
- tracked down core dump on i386

* Wed Dec  3 1997 Otto Hammersmith <otto@redhat.com>
- fixed nawk problem

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig

* Tue Nov 18 1997 Otto Hammersmith <otto@redhat.com>
- built for glibc
- moved buildroot to /var/tmp from /tmp
- removed exclusive arch, since we now have motif for alpha and sparc

* Thu May 01 1997 Michael Fulbright <msf@redhat.com>
- Updated to 3.0 and a changed to build with a BuildRoot
